## ECanvasBackground

ECanvasBackground

## Properties

gchar * | fill-color | Write
GdkColor * | fill-color-gdk | Write
guint | fill-color-rgba | Read / Write

## Signals

void | style-updated | Run Last

## Types and Values

struct | ECanvasBackground

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── ECanvasBackground

## Description

## Functions

## Types and Values

### struct ECanvasBackground

    struct ECanvasBackground;

## Property Details

### The `“fill-color”` property

      “fill-color”               gchar *

Fill color.

Flags: Write

Default value: NULL

### The `“fill-color-gdk”` property

      “fill-color-gdk”           GdkColor *

GDK fill color.

Flags: Write

### The `“fill-color-rgba”` property

      “fill-color-rgba”          guint

GDK fill color.

Flags: Read / Write

Default value: 0

## Signal Details

### The `“style-updated”` signal

    void
    user_function (ECanvasBackground *ecanvasbackground,
                   gpointer           user_data)

Flags: Run Last